+++
title = "乱七八糟:流量卡购买与套路"
date = 2023-08-24

[taxonomies]
tags = ["乱七八糟"]
+++



前言 由于临近升学，校园网不尽人意，因此许多小伙伴有了买一张流量卡的计划。本文以三大运营商为例，说明常见流量卡的套路与选择。
<!-- more -->

2019 年 6 月 6 日，工信部发布 4 张 5G 牌照，标志 5G 商用的开始，中国进入 5G 时代。回想过去数年，4G 降速、5G 提费的新闻屡见不鲜，而 5G 网络的落地应用，似乎离普通人依然遥远。对于普通人而言，昂贵的5G套餐资费依然没有流量卡香；那什么是流量卡呢？

## 一.什么是流量卡

流量卡``本质上还是一张 SIM 卡，往往具有大流量、低月租的特征``。互联网上有非常多不同运营商的「优惠套餐」，实则是不同卡商取名包装后的产物，卡商往往可以通过激活后赚取高额佣金获利,比如每年大学新生开学，校园里总有「运营商营业厅」摆摊甚至上门推销所谓「校园卡」，不少声称「超大流量」「长期套餐」，更有甚者，会搬出「校园网」来给涉世未深的大一小白们制造焦虑。

事实上，不管是「校园卡」还是网上卡商们大力吆喝的优惠流量卡，本质上``都属于个人使用的电话卡``。例如电信的优惠套餐，大都通过「电信星卡」套餐，再由当地运营商叠加优惠包（赠费或叠加流量包）包装而成。

## 二.为什么需要流量卡

普通卡大多有着长合约和固定归属地，不能轻易更换套餐，且套餐月租费用较高，``特别是在5G推行时期，4G的资费不减反升，且速度有所下降``。而流量卡动则100G往上，月租在50左右，且可以随时退卡。

## 三.流量卡基本原理

由于三大运营商处于``半国企状态（自负盈亏）``，因此在长期亏损下不得不整一些牛马活采用一些策略，比如冗长的条款和隐藏极深的优惠套餐等等。而由于不同地区的经济发展状况不同，``部分中西部地区的地区分公司业绩不佳``，为了在短期内达到要求往往会和一些地区分销商进行合作，将本地区的电话卡改为优惠的套餐，从而吸引客户。注意：``99%所谓的月租19、29等流量卡都是要先缴一笔较多的钱，进而每月返还一点点，实现长期上的低月租``，运营商是要短期变现的！

那么，是不是我们就没有优惠了呢？其实相对于5元1G、40元10G的资费而言还是非常划算的。

## 四.分清流量卡和物联卡

部分小伙伴反映被物联卡坑了！这里我们一定要注意，诸如某宝某猫上面的9999G超级流量卡，usb接口的随身WiFi等等不出意外都是物联卡。

什么是物联卡？``物联网设备往往只需要网络接入而不需要电话短信功能，也就不需要电话号码``。为了防止滥用，同时降低成本，运营商往往会给这些设备制作「物联网卡」，也就是只具备上网功能的电话卡。为了便于物联网设备公司管理，运营商还会授权这些代理公司组建「流量池」，对池中每一张卡进行限速、流控等管理。

市面上绝大多数「随身 WiFi」自带的流量卡套餐，正是来自运营商授权公司的「自组流量池」。绝大多数物联卡商家，为了控制成本，会采取各种措施进行限制，而由于这一行业往往处于缺乏有效监管的灰色地带，这些限制大都不会被商家明确写出。

最常见的套路是**虚标流量**。由于这类物联网卡并没有手机号码，也就无法使用运营商官方渠道查询流量使用情况。商家自建流量管理后台，也就有了对数据做手脚的可乘之机。有些商家会将使用的流量按 1.5 倍甚至更高倍率计费，因此，你也许会发现自己的流量不那么「经用」。

另一个套路是**流控**，包括流量封顶和限速。网上销量相当高的某随身 WiFi 商家，电商平台可以看到不少次月开始卡慢、每日设置流量封顶的差评。比如，广告上打着「月享 1500G」，实际上也许每天限制使用 50G，达量往往会限速甚至封卡。

在市面上，流量池批发流量的价格大约是 0.1 元 / G，如果你看到了显著低于这个价格的流量，可能需要多斟酌一下是否可靠。

当然，也有正规厂商提供可信的流量池或与运营商直接合作的物联网卡，限制会少不少，不过难以买到。
## 五.购买流量卡需要注意的事项

- **靓号**

``大部分流量卡是不能选号的``，因为这类具有优惠套餐的卡大多来自不同地区的前任买家，因此靓号数有限，总不能既有好的号码又有优惠套餐；而这就带来第二个问题：

- **号码绑定**

作为信息时代的重要识别符，电话卡和身份证几乎同样重要，在前任主人信息意识不强的情况下，其``大部分社交媒体、生活服务和各种网站的帐号都会遗留下来，这就需要我们去一一解绑``；作者曾经买了一张宁夏的流量卡，结果通过验证和社工成功进入了前主人的微信和淘宝帐号，当然现在已经注销了；部分平台不支持注销的，只能继续使用前号；``甚至有概率被前号主的债务人打电话催债``；因此我们一定要小心谨慎；

- **归属地**

由于前面所讲的原因，``流量卡的归属地大部分是随机的``，比如青海，宁夏等等；这样一来当别人打电话时会看到地址为中国宁夏之类，可能会误以为是诈骗电话；当然这样也有不被看到地址的好处，所谓各有优点。

- **信号**

``SIM卡本身对信号没有影响，除非氧化严重难以识别``；真正影响体验的不只是手机基带，还有你所在地区中三大``运营商的基站分布``；因此，购买之前可以先查看一下你所在地区哪个运营商信号最好，从而对症下药。

- **副卡**

有些小伙伴在买完流量卡后打算作为主力卡使用，那这样原先的卡套餐就没必要了，可以办理8元保号套餐，让号码可以继续使用。

- **流量**

不少校园套餐，使用了``定向流量``（或区域流量），即仅可在指定APP使用或指定省（市）内使用，而非全国流量/通用流量。而宣传的额外流量往往以流量包形式给出，此流量包不同活动获得方式也不同；办完卡后进入营业厅的APP，流量可能不会马上出现，这是因为系统的延迟以及运营商的计时方式，``有些卡需要在月初才能有全部的流量``，后几天按百分比计算，下个月就正常了。


- **激活**

注意要``实名购卡``，且收获地址要足够详细，会有专门的快递小哥和你线下激活，预充值，注意接收电话！

- **注销**

``每个运营商最多办5张电话卡``，因此一个人一辈子最多只能从三大运营商办理一共15张卡，因此注销需谨慎；流量卡大部分可以线上异地注销，但也要仔细看清楚条款。

---
**Done.**
